<form id="content">
	<mat-form-field>
		<input
			matInput
			[(ngModel)]="request.FirstName"
			maxlength="24"
			name="firtstname"
			placeholder="Имя" />
	</mat-form-field>
	<mat-form-field>
		<input
			matInput
			[(ngModel)]="request.LastName"
			name="lastname"
			maxlength="24"
			placeholder="Фамилия" />
	</mat-form-field>
    <mat-form-field>
		<mat-select
			[(ngModel)]="request.Course"
			required
			name="course"
			#course
			placeholder="Выберите курс">
			<mat-option
				*ngFor="let course of courses"
				[value]="course.Value">

				{{course.Name}}
			</mat-option>
        </mat-select>
	</mat-form-field>
	<mat-form-field>
		<span matPrefix>+375 &nbsp;</span>
		<input
			#phone
			type="tel"
			required
			matInput
			name="phone"
			[(ngModel)]="request.Phone"
			placeholder="Номер телефона" />
		<mat-icon matSuffix>mode_edit</mat-icon>
	</mat-form-field>
	<button
		mat-flat-button
		[disabled]="phone.value.length <= 0 || course.value == ''"
		color="primary"
		(click)="signUp()">
		
		Оставить заявку
	</button>
</form>